<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 10/15/2003 *
 * ===============                              Last change: 04/18/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : login.php                                        *
 * -------------------------------------------------------------------- *
 * Short description : Login area for members                           *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Login-Bereich fuer Mitglieder                    *
 * -------------------------------------------------------------------- *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (ereg(basename(__FILE__), $_SERVER['PHP_SELF'])) {
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), "/inc") + 4) . "/security.php";
	require($INC);
} elseif (!IS_LOGGED_IN()) {
	$URL = URL."/modules.php?module=index";
	if ($check == "mem_only") $URL .= "&msg=".urlencode(LANG_MEM_ONLY_1.$GLOBALS['module'].LANG_MEM_ONLY_2);
	LOAD_URL($URL);
}

if ($status != "CONFIRMED") {
	// If the status is different than confirmed move the user away from here
	switch ($status)
	{
	case "LOCKED":
		$ERROR = CODE_ID_LOCKED;
		break;

	case "UNCONFIRMED":
		$ERROR = CODE_ID_UNCONFIRMED;
		break;

	default:
		$ERROR = CODE_UNKNOWN_STATUS;
		break;
	}
	$URL = URL."/modules.php?module=index&login=".$ERROR;
	LOAD_URL($URL);
}

// Recheck if he got logged out because bad cookies
if (!IS_LOGGED_IN())
{
	$URL = URL."/modules.php?module=index";
	LOAD_URL($URL);
}

// Load adverstising template
define('__MEMBER_ADVERT', LOAD_TEMPLATE("member_banner", true));

// Disable block mode by default
$BLOCK_MODE = false;

// Generate a tableset for the menu title and content
LOAD_TEMPLATE("member_header");

// Adding your title's template here...
OUTPUT_HTML ("<TR>
  <TD class=\"member_menu\">");

// Adding the main content module here
if (empty($GLOBALS['action']))
{
	if (empty($GLOBALS['what'])) $GLOBALS['what'] = "welcome";
}
 else
{
	$act = SQL_ESCAPE($GLOBALS['action']);
}

// Add the member's menu here...
if (($CONFIG['member_menu'] == "Y") || (!EXT_IS_ACTIVE("sql_patches", true)))
{
	ADD_MENU("member", GET_ACTION("member", $GLOBALS['what']), $GLOBALS['what']);
}

OUTPUT_HTML ("   </TD>
  <TD valign=\"top\" align=\"center\" rowspan=\"3\" class=\"member_content\">");

$INC_ACTION = sprintf(PATH."inc/modules/member/action-%s.php", $act);
if ((file_exists($INC_ACTION)) && (is_readable($INC_ACTION)) && (VALIDATE_MENU_ACTION("member", GET_ACTION("member", $GLOBALS['what']), $GLOBALS['what'])))
{
	// Requested module is available so we load it
	include ($INC_ACTION);
}
 else
{
	// Invalid module specified or not found...
	LOAD_URL("modules.php?module=login");
}

if (($CONFIG['member_menu'] == "Y") || (!EXT_IS_ACTIVE("sql_patches", true)))
{
	OUTPUT_HTML ("  <BR></TD>
</TR>
<TR>
  <TD align=\"center\" valign=\"top\" class=\"member_advert\">");

	// Some advertising stuff?
	LOAD_TEMPLATE("member_advert");
}

OUTPUT_HTML ("  </TD>
</TR>");

// Load same template for "Goto TOP"
LOAD_TEMPLATE("member_goto_top");

// Footer template (Thanx to Mr. Glaus!)
LOAD_TEMPLATE("member_footer");

//
?>
